Skip to content

Update a workload role

Request

OPA roles:
  • security_admin

Updates a workload role by its ID

Security
bearerAuth
Path
team_namestringrequired

The name of your team

workload_role_idstring, (regex)(UUID)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...read-onlyrequired

The ID of the workload role

Example:a747a818-a4c4-4446-8a87-704216495a08
Bodyapplication/json
created_byobject(NamedObject)

A reference to an object that has its ID, name and type

descriptionstringrequired

A brief description of the workload role

namestringrequired

The name of the workload role

requirementsArray of objects, [ 1 .. 20 ] items(WorkloadRoleRequirement)required

Defines the identity attribute requirements that a workload must satisfy to be authorized for this role

updated_byobject(NamedObject)

A reference to an object that has its ID, name and type

PUT
/v1/teams/{team_name}/workload-roles/{workload_role_id}
curl -i -X PUT \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/workload-roles/a747a818-a4c4-4446-8a87-704216495a08' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "created_by": {
      "id": "string",
      "missing": true
    },
    "description": "string",
    "name": "string",
    "requirements": [
      {
        "conditions": [
          {
            "matcher": "EQUALS",
            "name": "string",
            "value": "string"
          }
        ],
        "workload_connection": {
          "id": "string",
          "missing": true
        }
      }
    ],
    "updated_by": {
      "id": "string",
      "missing": true
    }
  }'

Responses

OK

Bodyapplication/json
created_atstring, (date-time)read-only

Timestamp that indicates when the workload role was created

created_byobject(NamedObject)

A reference to an object that has its ID, name and type

descriptionstringrequired

A brief description of the workload role

idstring, (regex)(UUID)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...read-only

The ID of the workload role

Example:"a747a818-a4c4-4446-8a87-704216495a08"
namestringrequired

The name of the workload role

requirementsArray of objects, [ 1 .. 20 ] items(WorkloadRoleRequirement)required

Defines the identity attribute requirements that a workload must satisfy to be authorized for this role

updated_atstring, (date-time)read-only

Timestamp that indicates when the workload role was last updated

updated_byobject(NamedObject)

A reference to an object that has its ID, name and type

Response
{ "created_at": "2019-08-24T14:15:22Z", "created_by": { "id": "string", "missing": true, "name": "string", "type": "active_directory_connection" }, "description": "string", "id": "a747a818-a4c4-4446-8a87-704216495a08", "name": "string", "requirements": [ {} ], "updated_at": "2019-08-24T14:15:22Z", "updated_by": { "id": "string", "missing": true, "name": "string", "type": "active_directory_connection" } }